Saxon API for .NET |

# XPathCompiler Methods

The methods of the XPathCompiler class are listed below. For a complete list of XPathCompiler class members, see the XPathCompiler Members topic.

#### Public Instance Methods

Compile | Compile an expression supplied as a String.
DeclareNamespace | Declare a namespace for use by the XPath expression.
DeclareVariable | Declare a variable for use by the XPath expression. If the expression refers to any variables, then they must be declared here.
Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
ToString (inherited from Object) | Returns a String that represents the current Object.

#### Protected Instance Methods

Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

#### See Also

XPathCompiler Class | Saxon.Api Namespace